Bug 138889 - FILEOPEN DOCX Rotated drawing in chart has wrong width/height
Summary: FILEOPEN DOCX Rotated drawing in chart has wrong width/height
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-12-14 07:53 UTC by NISZ LibreOffice Team
Modified: 2020-12-17 12:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (25.74 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-12-14 07:53 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (99.46 KB, image/png)
2020-12-14 07:54 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-12-14 07:53:41 UTC
Created attachment 168140 [details]
Example file from Word

Attached document contains a 270 degrees rotated right pointing arrow, which points upwards in Word and is more tall than wide.
When opened in Writer the rotation of the arrow shape is correct but it is more wide than tall.

Steps to reproduce:
    1. Open attached document

Actual results:
Black arrow shape is wide, not tall.

Expected results:
Should look like in Word

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 61d07657caab5e0fb8ec4446f67a7044e14dae4b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-12-14 07:54:20 UTC
Created attachment 168141 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Balázs Varga 2020-12-14 08:08:21 UTC
Confirmed in:

Version: 6.4.4.2.0+ (x64)
Build ID: 0f4860e17c048f6f04e0c02b92fe817bdf817c11
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2020-12-16 14:36:14 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fbe77e5d61ca63a688c12be721e760935d78e780

tdf#138889 OOXML chart: fix import of rotated shapes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-12-17 10:22:43 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: d00e7c651e80b9fd3d00262900e0938e2c392809
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Balazs Varga, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-12-17 12:38:37 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/277b22981baae33ab7969538f00a5bb85e1be474

tdf#138889 OOXML chart: fix import of rotated shapes

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.